gstreamermm 1.4.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Gst::AudioInfo Class Reference

Information for an audio format. More...

Inheritance diagram for Gst::AudioInfo:
[legend]
Collaboration diagram for Gst::AudioInfo:
[legend]

## Public Member Functions
| AudioInfo (const GstAudioInfo* info, bool take_ownership=false)
virtual | ~AudioInfo ()
const GstAudioInfo* | gobj () const
| Gets the underlying gobject. More...
Public Member Functions inherited from Gst::AudioFormatInfo
virtual | ~AudioFormatInfo ()
| Defualt constructor. More...
GstAudioFormatInfo* | gobj ()
| Gets the underlying gobject. More...
const GstAudioFormatInfo* | gobj () const
| Gets the underlying gobject. More...
AudioFormat | get_format () const
void | set_format (const AudioFormat& value)
std::string | get_name () const
void | set_name (const std::string& value)
std::string | get_description () const
void | set_description (const std::string& value)
AudioFormatFlags | get_flags () const
void | set_flags (const AudioFormatFlags& value)

## Detailed Description

Information for an audio format.

## Constructor & Destructor Documentation

Gst::AudioInfo::AudioInfo | ( | const GstAudioInfo * | info,
|  | bool | take_ownership = `false`
| ) |  |

virtual Gst::AudioInfo::~AudioInfo | ( |  | ) |
| virtual

## Member Function Documentation

const GstAudioInfo* Gst::AudioInfo::gobj | ( |  | ) | const
| inline

Gets the underlying gobject.

The documentation for this class was generated from the following file:

- gstreamermm/audioinfo.h